Ti.include('setphacoparameters.js');

var PhacoMainWindow = Ti.UI.createWindow();

PhacoMainWindow.orientationModes = [
       Titanium.UI.LANDSCAPE_LEFT,
       Titanium.UI.LANDSCAPE_RIGHT
 ];
 
var PhacoView = Titanium.UI.createView({backgroundColor:'#000'});

PhacoMainWindow.add(PhacoView);

var sound = Titanium.Media.createSound();
sound.url='phaco.wav';

var viewPhaco = Titanium.UI.createWebView({
	url:'phaco_view.html',
        top:0,
        left:0,
        width:480,
        height:320
});

PhacoView.add(viewPhaco);


Ti.App.addEventListener('setPhacoParameters', function(data){
   
   slRhexis.value = data.rhexis/70*8;
   
   slPhacoDensity.value = data.density;
  
   paramChanged.value ='false';
   paramPhacoWin.open({modal:true});
   paramPhacoWin.show();
   
});

Ti.App.addEventListener('stopphaco', function(data){
	//sound.stop();
});
Ti.App.addEventListener('startphaco', function(data){
	if (sound.isPlaying()==false){
		//sound.play();
	}
});

Ti.App.addEventListener('savePhaco', function(data){
   
   Ti.Media.saveToPhotoGallery(viewPhaco.toImage());
   Ti.App.fireEvent('endPhaco',{});
   
   alert('Your phaco image has been saved to your photo gallery');
   
   
   PhacoMainWindow.hide();
   
});
