Ti.include('setparameters.js');

var RhexisMainWindow = Ti.UI.createWindow();

RhexisMainWindow.orientationModes = [
       Titanium.UI.LANDSCAPE_LEFT,
       Titanium.UI.LANDSCAPE_RIGHT
 ];
 
var RhexisView = Titanium.UI.createView({backgroundColor:'#000'});

RhexisMainWindow.add(RhexisView);

var viewRhexis = Titanium.UI.createWebView({
	url:'rhexis_view.html',
        top:0,
        left:0,
        width:480,
        height:320,
        enableZoomControls : false
});

RhexisView.add(viewRhexis);

Ti.App.addEventListener('setParameters', function(data){
   //alert(data.name);
   slPupil.value = data.pupil/120*8;
   slTension.value = data.tension;
   slResistance.value = data.resistance*1000;
   slSteepness.value = data.steepness * 100000;
   slDensity.value = data.density;
   btnDirection.title = data.direction;
   paramChanged.value ='false';
   parameterWindow.open({modal:true});
   parameterWindow.show();
   
});
Ti.App.addEventListener('saveRhexis', function(data){
   
    
   Ti.Media.saveToPhotoGallery(viewRhexis.toImage());
   Ti.App.fireEvent('endRhexis',{});
   
   alert('Your rhexis image has been saved to your photo gallery');
   RhexisMainWindow.hide();
});
