var parameterWindow = Ti.UI.createWindow();
var parameterView = Ti.UI.createView({backgroundImage:'images/bluebackground.jpg'});
var paramChanged = Ti.UI.createTextField({
    visible:false,
    value:'false'
});

var label1 = Titanium.UI.createLabel({
    top:0,
    left:10,
    text:'pupil size = 8',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var slPupil = Titanium.UI.createSlider({
	min:5,
	max:8,
	value:8,
	width:100,
	height:'auto',
	top:0,
        left:220
});
slPupil.addEventListener('change',function(e)
{
	label1.text = 'pupil size =' + Math.round(e.value) ;
        paramChanged.value = 'true';
});

parameterView.add(label1);
parameterView.add(slPupil);


var label2 = Titanium.UI.createLabel({
    top:35,
    left:10,
    text:'capsule tension level = 1.6',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var slTension = Titanium.UI.createSlider({
	min:1,
	max:12,
	value:8,
	width:100,
	height:'auto',
	top:35,
        left:220
});
slTension.addEventListener('change',function(e)
{
	label2.text = 'capsule tension =' + Math.round(e.value) ;
        paramChanged.value = 'true';
});

parameterView.add(label2);
parameterView.add(slTension);


var label3 = Titanium.UI.createLabel({
    top:70,
    left:10,
    text:'tearing resistance = 8',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var slResistance = Titanium.UI.createSlider({
	min:2,
	max:50,
	value:8,
	width:100,
	height:'auto',
	top:70,
        left:220
});
slResistance.addEventListener('change',function(e)
{
	label3.text = 'tearing resistance =' + Math.round(e.value) ;
        paramChanged.value = 'true';
});

parameterView.add(label3);
parameterView.add(slResistance);



var label4 = Titanium.UI.createLabel({
    top:105,
    left:10,
    text:'lens sphericality = 10',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var slSteepness = Titanium.UI.createSlider({
	min:2,
	max:100,
	value:8,
	width:100,
	height:'auto',
	top:105,
        left:220
});
slSteepness.addEventListener('change',function(e)
{
	label4.text = 'lens sphericality =' + Math.round(e.value) ;
        paramChanged.value = 'true';
});

parameterView.add(label4);
parameterView.add(slSteepness);




var label5 = Titanium.UI.createLabel({
    top:140,
    left:10,
    text:'density = 1',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var slDensity = Titanium.UI.createSlider({
	min:1,
	max:5,
	value:8,
	width:100,
	height:'auto',
	top:140,
        left:220
});
slDensity.addEventListener('change',function(e)
{
	label5.text = 'density =' + Math.round(e.value) ;
        paramChanged.value = 'true';
});

parameterView.add(label5);
parameterView.add(slDensity);


var label6 = Titanium.UI.createLabel({
    top:175,
    left:10,
    text:'Tear direction',
    width:'auto',
    height:'auto',
    font:{fontSize:18},
    color:'#000'
});

var btnDirection = Titanium.UI.createButton({
	width:150,
	title:'anticlockwise',
	top:175,
        left:220,
        height: 35
});
btnDirection.addEventListener('click',function(e)
{
	if (btnDirection.title=='anticlockwise'){
            btnDirection.title='clockwise';
        }else{
            btnDirection.title='anticlockwise';
        }
        paramChanged.value = 'true';
});

parameterView.add(label6);
parameterView.add(btnDirection);

var paramCloseButton = Ti.UI.createButton({
	title:'Okay',
	width:100,
	height:50,
	top:10,
        left:350,
        image:'images/add.png'
});

paramCloseButton.addEventListener('click', function()
{
	var bonusValue = 0;
       
        if (paramChanged.value=='true'){
            var pupilsize = Math.round(slPupil.value * 120/8);
             bonusValue = (8-Math.round(slPupil.value))*200;
             if (parseInt(slTension.value)>8){
                bonusValue+=100;
             }
             if (parseInt(slResistance.value)>15){
                bonusValue+=100;
             }
             if (parseInt(slSteepness.value)>50){
                bonusValue+=200;
             }else if (parseInt(slSteepness.value)>80){
                bonusValue+=400;
             }
             bonusValue += (Math.round(slDensity.value)-1)*200;
        
            Ti.App.fireEvent('returnParams',{pupil:pupilsize,tension:slTension.value,resistance:slResistance.value/1000,steepness:slSteepness.value/100000,density:Math.round(slDensity.value),
                             bonus:bonusValue,direction:btnDirection.title});
            
        }
        parameterWindow.close();
	
        //EnterIOP.splitView.open();
        //EnterIOP.splitView.show();
});
parameterView.add(paramCloseButton);

parameterWindow.add(parameterView);
